from django.contrib import admin
from .models import Announcement, Reaction

class ReactionInline(admin.TabularInline):
    model = Reaction

class AnnouncementAdmin(admin.ModelAdmin):
    model = Announcement
    list_display = ('title', 'body', 'author', 'pub_datetime',)
    search_field = ('title', 'body', 'author', 'pub_datetime',)
    inlines = [ReactionInline]

class ReactionAdmin(admin.ModelAdmin):
    model = Reaction
    list_display = ('name', 'tally', 'announcement',)
    search_field = ('name', 'tally', 'announcement',)

admin.site.register(Announcement, AnnouncementAdmin)
admin.site.register(Reaction, ReactionAdmin)