from django.shortcuts import render
from django.views.generic.detail import DetailView
from django.views.generic.edit import CreateView, UpdateView
from .models import Announcement

def announcements(request):
    return render(request, 'announcements/announcements.html', {'announcements': Announcement.objects.order_by('-pub_datetime')})

class AnnouncementDetailView(DetailView):
    model = Announcement
    template_name = 'announcements/announcement-details.html'

class AnnouncementCreateView(CreateView):
    model = Announcement
    fields = '__all__'
    template_name = 'announcements/announcement-add.html'

class AnnouncementUpdateView(UpdateView):
    model = Announcement
    fields = '__all__'
    template_name = 'announcements/announcement-edit.html'
