from django.contrib import admin
from .models import Assignment, Course

class AssignmentInline(admin.TabularInline):
    model = Assignment

class AssignmentAdmin(admin.ModelAdmin):
    model = Assignment
    list_display = ('name', 'description', 'course', 'perfect_score', 'passing_score',)
    search_field = ('name', 'description', 'course', 'perfect_score', 'passing_score',)

class CourseAdmin(admin.ModelAdmin):
    model = Course
    list_display = ('code', 'title', 'section',)
    search_field = ('code', 'title', 'section',)
    inlines = [AssignmentInline]

admin.site.register(Assignment, AssignmentAdmin)
admin.site.register(Course, CourseAdmin)
