from django.db import models
from django.urls import reverse

class Course(models.Model):
    code = models.CharField(max_length = 10)
    title = models.CharField(max_length = 50)
    section = models.CharField(max_length = 3)

    def __str__(self):
        return "{} {}-{}".format(self.code, self.title, self.section)
    
class Assignment(models.Model):
    name = models.CharField(max_length = 50)
    description = models.TextField()
    course = models.ForeignKey(Course, on_delete=models.CASCADE)
    perfect_score = models.IntegerField(default = 0)
    passing_score = models.IntegerField(default = 0)

    def save(self, *args, **kwargs):
        self.passing_score = round(self.perfect_score*0.6)
        super(Assignment, self).save(*args, **kwargs)

    def __str__(self):
        return self.name
    
    def get_absolute_url(self):
        return reverse("assignment-details", kwargs={'pk': self.pk})