from django.shortcuts import render
from django.views.generic.detail import DetailView
from django.views.generic.edit import CreateView, UpdateView
from .models import Assignment

def assignments(request):
    return render(request, 'assignments/assignments.html', {'assignments': Assignment.objects.all()})

class AssignmentDetailView(DetailView):
    model = Assignment
    template_name = 'assignments/assignment-details.html'

class AssignmentCreateView(CreateView):
    model = Assignment
    fields = '__all__'
    template_name = 'assignments/assignment-add.html'

class AssignmentUpdateView(UpdateView):
    model = Assignment
    fields = '__all__'
    template_name = 'assignments/assignment-edit.html'