from django.contrib import admin
from .models import Event, Location

class EventInline(admin.TabularInline):
    model = Event

class EventAdmin(admin.ModelAdmin):
    model = Event
    list_display = ("target_datetime", "activity", "estimated_hours", "locations", "course",)
    search_field = ("target_datetime", "activity", "estimated_hours", "locations", "course",)

class LocationAdmin(admin.ModelAdmin):
    model = Location
    list_display = ("modes", "venue",)
    search_field = ("modes", "venue",)
    inlines = [EventInline]
 
admin.site.register(Event, EventAdmin)
admin.site.register(Location, LocationAdmin)

