from django.shortcuts import render
from django.views.generic.detail import DetailView
from django.views.generic.edit import CreateView, UpdateView
from .models import Event

def calendar(request):
    return render(request, 'calendars/calendar.html', {'events': Event.objects.all()})

class EventDetailView(DetailView):
    model = Event
    template_name = 'calendars/event-details.html'

class EventCreateView(CreateView):
    model = Event
    fields = '__all__'
    template_name = 'calendars/event-add.html'

class EventUpdateView(UpdateView):
    model = Event
    fields = '__all__'
    template_name = 'calendars/event-edit.html'