from django.contrib import admin
from .models import ForumPost, Reply

class ReplyInline(admin.TabularInline):
    model = Reply

class ForumPostAdmin(admin.ModelAdmin):
    model = ForumPost
    list_display = ("title", "body", "author", "pub_datetime",)
    search_field = ("title", "body", "author", "pub_datetime",)
    inlines = [ReplyInline]

class ReplyAdmin(admin.ModelAdmin):
    model = Reply
    list_display = ("body", "author", "pub_datetime", "forum_post")
    search_field = ("body", "author", "pub_datetime", "forum_post")

admin.site.register(ForumPost, ForumPostAdmin)
admin.site.register(Reply, ReplyAdmin)
