from django.db import models
from django.urls import reverse

class ForumPost(models.Model):
    title = models.CharField(max_length = 50)
    body = models.TextField()
    author = models.ForeignKey('dashboard.WidgetUser', on_delete=models.CASCADE)
    pub_datetime = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return self.title    
    
    def datetime(self):
        return self.pub_datetime.strftime("%m/%d/%Y, %I:%M %p")
    
    def get_absolute_url(self):
        return reverse("forumpost-details", kwargs={'pk': self.pk})
    
class Reply(models.Model):
    body = models.TextField()
    author = models.ForeignKey('dashboard.WidgetUser', on_delete=models.CASCADE)
    pub_datetime = models.DateTimeField(auto_now_add=True)
    forum_post = models.ForeignKey('ForumPost', on_delete=models.CASCADE, null= True )

    def __str__(self):
        return self.body
    
    def datetime(self):
        return self.pub_datetime.strftime("%m/%d/%Y, %I:%M %p")
