from django.shortcuts import render
from django.views.generic.detail import DetailView
from django.views.generic.edit import CreateView, UpdateView
from .models import ForumPost

def forum(request):
    return render(request, 'forum/forum.html', {'forumposts': ForumPost.objects.order_by('-pub_datetime')})

class ForumPostDetailView(DetailView):
    model = ForumPost
    template_name = 'forum/forumpost-details.html'

class ForumPostCreateView(CreateView):
    model = ForumPost
    fields = '__all__'
    template_name = 'forum/forumpost-add.html'

class ForumPostUpdateView(UpdateView):
    model = ForumPost
    fields = '__all__'
    template_name = 'forum/forumpost-edit.html'